Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003200GameMaker: Studio[All Projects] iOSpublic2012-05-07 03:162013-03-05 16:17
Reportercejay2001 
Assigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusclosedResolutionfixed 
PlatformMobiles/TabletsOSiOSOS Version.
Summary0003200: Unable to open packaged/"Included Files" after deploying to iOS (either INI or TXT files)
DescriptionWhen INI and/or INI files to my iOS project, the app is unable to locate either types of files once deployed to the iPad.

If I create a TXT file (I assume the same is for INI) in the initialisation of the app using GML, then try and open it later this works fine.

It appears as though adding items to the "Included Files" project group isn't actually packaging them up and sending them to the "right place" under the iOS app.

I tried both the straight name of the file and also working_directory + filename.. neither worked unless I explicitly created the file using GML.

Cheers,

Chris
Steps To ReproduceAdd an INI or TXT file to your iOS project under "Included Files" (all boxes ticked when looking at file properties in GMS)

Using GML attempt to read from either types of files during app execution.
GM Version
Attached Files

- Relationships

-  Notes
(0002801)
Russell Kay (administrator)
2012-05-25 15:41

Fixed in v1.0.202

- Issue History
Date Modified Username Field Change
2012-05-07 03:16 cejay2001 New Issue
2012-05-07 11:22 Russell Kay Assigned To => Russell Kay
2012-05-07 11:22 Russell Kay Status new => assigned
2012-05-25 15:41 Russell Kay Note Added: 0002801
2012-05-25 15:41 Russell Kay Status assigned => resolved
2012-05-25 15:41 Russell Kay Resolution open => fixed
2013-03-05 16:17 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker